com.google.appengine.api.prospectivesearch

## Class Subscription

- java.lang.Object
- - com.google.appengine.api.prospectivesearch.Subscription

- Deprecated.
  This API has been deprecated.

      @Deprecated
      public final class Subscription
      extends java.lang.Object

  The Subscription class represents information about a registered subscription.
  See Also:
    `ProspectiveSearchService.subscribe(String, String, long, String, Map)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Subscription.State` Deprecated. The state of the subscription in the backend system.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscription(java.lang.String id, java.lang.String query, long expirationTimeSec)` Deprecated.
    `Subscription(java.lang.String id, java.lang.String query, long expirationTimeSec, Subscription.State state, java.lang.String errorMsg)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Deprecated.
    `java.lang.String` | `getErrorMessage()` Deprecated.
    `long` | `getExpirationTime()` Deprecated.
    `java.lang.String` | `getId()` Deprecated.
    `java.lang.String` | `getQuery()` Deprecated.
    `Subscription.State` | `getState()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subscription

          public Subscription(java.lang.String id,
                              java.lang.String query,
                              long expirationTimeSec)

      Deprecated.

    - #### Subscription

          public Subscription(java.lang.String id,
                              java.lang.String query,
                              long expirationTimeSec,
                              Subscription.State state,
                              java.lang.String errorMsg)

      Deprecated.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Deprecated.
      Returns:
        the id supplied during subscription

    - #### getQuery

          public java.lang.String getQuery()

      Deprecated.
      Returns:
        the query supplied during subscription

    - #### getExpirationTime

          public long getExpirationTime()

      Deprecated.
      Returns:
        the expiration time of this subscription, in seconds since January 1, 1970 UTC

    - #### getState

          public Subscription.State getState()

      Deprecated.
      Returns:
        the current state of the subscription

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Deprecated.
      Returns:
        the error message if the current state is ERROR

    - #### equals

          public boolean equals(java.lang.Object other)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string of the format: %s@%d{id=%s, query=%s, expires=%s, state=%s}, where the first two replacements are the class name and the system identity hashcode, and the date attribute may be "NEVER".